"{ Package: 'stx:libcomp' }"

"{ NameSpace: Smalltalk }"

Query subclass:#DoEnableCompilerOptionActionQuery
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-Compiler'
!

!DoEnableCompilerOptionActionQuery class methodsFor:'documentation'!

documentation
"
    Used to ask if a parser option should be enabled.
    When the compiler makes an error notification, it raises this query to
    ask for an actionblock. If the query is not answered, the 'enable in compiler options' dialog
    is not shown.
    If it is answered, the returned value must be the block.
    The dialog is shown, and if the user confirms (do not show again), the block is called.
    The block is typically provided from the warning generation code, which sets/clears
    some flag in the user preferences.
"
! !

!DoEnableCompilerOptionActionQuery class methodsFor:'queries'!

actionQuery
    ^ self query
! !

!DoEnableCompilerOptionActionQuery class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !

